/***************************************************************************
 *  Copyright (c) 2005 Chih-Chung Chang                                    *
 *  Parts copyright (c) 2006 Michael Olson                                 *
 *  Copyright (C) 2007-2008 by Fehmi "Canavar" SAGLAM                      *
 *  canavar@fehmicans.net                                                  *
 *                                                                         *
 *  This file is part of sTerm.                                            *
 *                                                                         *
 *  sTerm is free software; you can redistribute it and/or modify          *
 *  it under the terms of the GNU General Public License as published by   *
 *  the Free Software Foundation; either version 3 of the License, or      *
 *  (at your option) any later version.                                    *
 *                                                                         *
 *  sTerm is distributed in the hope that it will be useful,               *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of         *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 *  GNU General Public License for more details.                           *
 *                                                                         *
 *  You should have received a copy of the GNU General Public License      *
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>   *
 ***************************************************************************/

#ifndef _stermkey_h__
#define _stermkey_h__

#include <string>

using namespace std;

class StermKey
{
      private:
              string val,
                     label,
                     shift_val,
                     shift_label,
                     ctrl_val,
                     ctrl_label;              
      public:
             StermKey( string val,
                       string label,
                       string shift_val,
                       string shift_label,
                       string ctrl_val,
                       string ctrl_label
                       );
             StermKey( string val,
                       string label,
                       string shift_val,
                       string shift_label
                       );
             StermKey( string val,
                       string label
                       );
             StermKey( string val );
             string Get_Val();
             string Get_Label();
             string Get_Shift_Val();
             string Get_Shift_Label();
             string Get_Ctrl_Val();
             string Get_Ctrl_Label();
};
#endif
